/* Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flood_duration;

import java.util.Collection;

import org.dive4elements.river.artifacts.common.ResultRow;
import org.dive4elements.river.artifacts.sinfo.common.AbstractSInfoCalculationResult;

/**
 * Contains the results of a database query of a river channel width series
 *
 * @author Matthias Schäfer
 */
public final class InfrastructureQueryCalculationResult extends AbstractSInfoCalculationResult {

    private static final long serialVersionUID = 1L;

    public InfrastructureQueryCalculationResult(final String label, final Collection<ResultRow> rows) {
        super(label, null, rows);
    }
}